## ros-indigo-rocon-hue 0.0.7

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_hue)

##############################################################################
# Catkin
##############################################################################
find_package(catkin REQUIRED COMPONENTS
    roslint)

catkin_package()
catkin_python_setup()

file(GLOB_RECURSE ${PROJECT_NAME}_MODULE_SOURCES RELATIVE ${PROJECT_SOURCE_DIR} src/*.py)
file(GLOB_RECURSE ${PROJECT_NAME}_SCRIPT_SOURCES RELATIVE ${PROJECT_SOURCE_DIR} scripts/*)
roslint_python(${${PROJECT_NAME}_MODULE_SOURCES} ${${PROJECT_NAME}_SCRIPT_SOURCES})

##############################################################################
# Installs
##############################################################################
install(
    PROGRAMS
        scripts/server.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY rapps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rocon-hue (0.0.7-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 27 Jul 2015 15:00:00 -0000

ros-indigo-rocon-hue (0.0.6-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 22 Jul 2015 15:00:00 -0000

ros-indigo-rocon-hue (0.0.5-0trusty) trusty; urgency=high

  * update ros spinning time
  * update ping checker into subprocess and not display log regarding ping checker
  * update ping checker and change into sending set hue message not always included on property
  * Contributors: dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-hue (0.0.4-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 14 Jun 2015 15:00:00 -0000

ros-indigo-rocon-hue (0.0.3-0trusty) trusty; urgency=high

  * delete author in rapp files to close #39 <https://github.com/robotics-in-concert/rocon_devices/issues/39>
  * Contributors: dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 04 Jun 2015 15:00:00 -0000

ros-indigo-rocon-hue (0.0.2-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 04 Jun 2015 15:00:00 -0000

ros-indigo-rocon-hue (0.0.1-0trusty) trusty; urgency=high

  * release preparation
  * rtsp camera relay package ready
  * update bulb checker
  * fix magenta color
  * fis color of violet
  * update pre define color
  * create rocon_hue rapp, delete remap rule, change hue value setting method
  * delete default value of hue ip
  * create look up table of predefined color
  * fixed wrong commit
  * modify hue bridge launch file
  * restructure complete
  * update nb bridge and change rocon hue logging rule
  * updates
  * add remap argument
  * delete wrong file
  * add exception
  * update exceptrion
  * add the exception about no response
  * fixed CMAKE install list
  * add the hue manager launch and script file
  * move the hue manager from office_conccert in rocon_demo repository
  * add No response exception from hue bridge
  * always turn on when chage the hue color
  * add the status of hue regarding bulb reachable
  * fix comment of launch file
  * add parameter about hue ip and launch file
  * add the exception handling more than before
  * delete log printing
  * fix the parameter bug
  * fixed #19 <https://github.com/robotics-in-concert/rocon_devices/issues/19>
  * fixed #18 <https://github.com/robotics-in-concert/rocon_devices/issues/18>
  * fixed #17 <https://github.com/robotics-in-concert/rocon_devices/issues/17>
  * fix the wrong exception handling and show ip when bridge is diconnected
  * exception handling to connect web url in phue
  * fix the time out error and change the ping checking method
  * now it provides log with rocon hue prefix
  * fix the bug regarding of bridge connection error at first time
  * fix the 3 times color change
  * upgrade the order method
  * change the sending rule about the valid bulb and fix the test code
  * fix the changed name and add the sended property about reachable
  * update message package name to coincide with fixes in rocon_msgs.
  * fix install rule to resolve issue #9 <https://github.com/robotics-in-concert/rocon_devices/issues/9> and comment in #8 <https://github.com/robotics-in-concert/rocon_devices/issues/8>
  * migrate msgs into rocon_msgs as independent package
  * change the package name to rocon_hue
  * Contributors: Daniel Stonier, DongWook Lee, Dongwook Lee, Jihoon Lee, dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 01 Jun 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-hue
Section: misc
Priority: extra
Maintainer: Dongwook Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslint
Homepage: http://wiki.ros.org/rocon_hue
Standards-Version: 3.9.2

Package: ros-indigo-rocon-hue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-rocon-device-msgs, ros-indigo-rocon-python-hue, ros-indigo-roslint, ros-indigo-rospy
Description: phue wrapper package to use in rocon

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-hue//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
